aboutsummaryrefslogtreecommitdiff
path: root/src/test
diff options
context:
space:
mode:
Diffstat (limited to 'src/test')
-rw-r--r--src/test/test_rebind.py7
-rwxr-xr-xsrc/test/test_rebind.sh4
2 files changed, 9 insertions, 2 deletions
diff --git a/src/test/test_rebind.py b/src/test/test_rebind.py
index 00e5a08be7..77829ca920 100644
--- a/src/test/test_rebind.py
+++ b/src/test/test_rebind.py
@@ -16,6 +16,10 @@ def fail(msg):
logging.error('FAIL')
sys.exit(msg)
+def skip(msg):
+ logging.warning('SKIP: {}'.format(msg))
+ sys.exit(77)
+
def try_connecting_to_socksport():
socks_socket = socket.socket(socket.AF_INET, socket.SOCK_STREAM)
if socks_socket.connect_ex(('127.0.0.1', socks_port)):
@@ -65,6 +69,9 @@ if sys.hexversion < 0x02070000:
if sys.hexversion > 0x03000000 and sys.hexversion < 0x03010000:
fail("ERROR: unsupported Python3 version (should be >= 3.1)")
+if 'TOR_SKIP_TEST_REBIND' in os.environ:
+ skip('$TOR_SKIP_TEST_REBIND is set')
+
control_port = pick_random_port()
socks_port = pick_random_port()
diff --git a/src/test/test_rebind.sh b/src/test/test_rebind.sh
index 498072de35..ea2012957e 100755
--- a/src/test/test_rebind.sh
+++ b/src/test/test_rebind.sh
@@ -27,6 +27,6 @@ elif [ ! -d "$tmpdir" ]; then
exit 3
fi
-"${PYTHON:-python}" "${abs_top_srcdir:-.}/src/test/test_rebind.py" "${TESTING_TOR_BINARY}" "$tmpdir" || exitcode=1
+"${PYTHON:-python}" "${abs_top_srcdir:-.}/src/test/test_rebind.py" "${TESTING_TOR_BINARY}" "$tmpdir"
-exit ${exitcode}
+exit $?